[SCM] Debian Live build scripts branch, master, updated. 1.0.3-2-64-gbc7e896

Daniel Baumann daniel at debian.org
Tue Jun 2 20:28:08 UTC 2009


The following commit has been merged in the master branch:
commit bc7e8963aa75e202972a2ca3e8a84fafecb4f08a
Author: Cody A.W. Somerville <cody.somerville at canonical.com>
Date:   Tue Jun 2 22:19:20 2009 +0200

    Unmounting all mounts in chroot.

diff --git a/functions/exit.sh b/functions/exit.sh
index 980d2d1..16dda8c 100755
--- a/functions/exit.sh
+++ b/functions/exit.sh
@@ -18,10 +18,10 @@ Exit ()
 	# Always exit true in case we are not able to unmount
 	# (e.g. due to running processes in chroot from user customizations)
 	Echo_message "Begin unmounting filesystems..."
-	umount chroot/dev/pts > /dev/null 2>&1 || true
-	umount chroot/proc > /dev/null 2>&1 || true
-	umount chroot/selinux > /dev/null 2>&1 || true
-	umount chroot/sys > /dev/null 2>&1 || true
+	for DIRECTORY in $(awk -v dir="${PWD}/chroot/" '$2 ~ dir { print $2 }' /proc/mounts | sort -r)
+	do
+		umount ${DIRECTORY} > /dev/null 2>&1 || true
+	done
 }
 
 Setup_cleanup ()

-- 
Debian Live build scripts



More information about the debian-live-changes mailing list